2 stumemch StuMemCh 于 2016.02.24 20:52 提问

新中新二代身份证阅读器ocx控件使用提示对象不支持怎么解决? 100C

项目需要在客户端浏览器中使用新中新二代身份证阅读器读取身份证信息,
使用官方提供的ocx控件,并且在自己本机上可以读取,但是在客户机上使用时在调用控件的方法的时候提示对象不支持XXX方法
图片说明
官方提供的驱动什么的都装上了,好像还是不行,跪求解释。。。。
官方的demo也跑不通
图片说明

7个回答

caozhy
caozhy   Ds   Rxr 2016.02.24 21:58

需要把你的浏览器的安全等级尽量调低,在internet属性-安全性-高级中设置。

showbo
showbo   Ds   Rxr 2016.02.25 09:26

发布网站没有?发布网站是Internet,未发布是intranet,这2个权限分开设置的,确认设置对了?

diaoliwei2
diaoliwei2   Rxr 2016.02.24 21:09

你机器上可以读取,那你的机器和客户机有什么区别吗???

StuMemCh
StuMemCh   2016.02.24 21:25

都是window7 64位,都是IE9, 官方提供的控件都装了的,IE也设置了信任站点,允许了所有的AxtiveX控件

Mr_dsw
Mr_dsw   Ds   Rxr 2016.02.24 21:33

官方的demo都跑不通了,这么坑的问题啊!最烦遇到这样的问题了

henuyx
henuyx   2016.02.25 11:21

你的script 怎么没写type= ...呢?

u012494939
u012494939   2016.02.25 15:39

ocx文件注册下试试?

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!